#include <zephyr/kernel.h>

#include <zephyr/logging/log.h>
#include <coap_comm.h>
#include <lte_comm.h>
#include <spi_comm.h>
#include <loc.h>

LOG_MODULE_REGISTER(nRF91DK_Tracker, LOG_LEVEL_INF);

int main(void)
{
        if (modem_configure())
        {
                LOG_ERR("Failed to configure modem");
                return 0;
        }
        if (spi_comm_init() != 0)
        {
                LOG_ERR("Failed to initialize SPI communication");
                return 0;
        }

        if (coap_comm_init() != 0)
        {
                LOG_ERR("Failed to initialize CoAP communication");
                return 0;
        }
        
        if (loc_init() != 0)
        {
                LOG_ERR("Failed to initialize location service");
                return 0;
        }

        if (coap_send_data() != 0)
        {
                LOG_ERR("Failed to connect to CoAP server");
                return 0;
        }

        while (1)
        {
                k_sleep(K_SECONDS(1));
        }
        return 0;
}
