#include <zephyr/kernel.h>
#include <zephyr/drivers/spi.h>
#include <zephyr/logging/log.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>

LOG_MODULE_DECLARE(nRF91DK_Tracker);

#define THE_SPI_SLAVE DT_NODELABEL(the_spi_slave)

static const struct device *const spi_slave_dev = DEVICE_DT_GET(THE_SPI_SLAVE);
static const struct spi_config spi_slave_cfg = {
    .operation = SPI_WORD_SET(8) | SPI_TRANSFER_MSB | SPI_OP_MODE_SLAVE,
    .frequency = 6250000,
    .slave = 1,
};

int spi_comm_init(void)
{
   int err = 0;

   if (!device_is_ready(spi_slave_dev))
   {
      LOG_ERR("SPI slave device not ready");
      return -ENODEV;
   }

   LOG_INF("SPI slave device initialized successfully");
   return err;
}